Subject: Re: [PATCH 0/5] Fix msvc build

From: Ramsay Jones <[email-masked]>
Date: Tue, 26 Feb 2013 19:06:03 +0000

Johannes Sixt wrote:
> Am 2/25/2013 7:54, schrieb Junio C Hamano:
>> Ramsay Jones <[email-masked]> writes:
>>
>>> As I mentioned recently, while discussing a cygwin specific patch
>>> (see "Version 1.8.1 does not compile on Cygwin 1.7.14" thread), the
>>> MSVC build is broken for me.
>>>
>>> The first 4 patches fix the MSVC build for me. The final patch is
>>> not really related to fixing the build, but it removed some make
>>> warnings which were quite irritating ...
>>>
>>> Note that I used the Makefile, with the Visual C++ 2008 command
>>> line compiler on Windows XP (SP3), to build a vanilla git on MinGW.
>>> I'm not subscribed to the msysgit mailing list, nor do I follow the
>>> msysgit fork of git, so these patches may conflict with commits in
>>> their repository.
>>
>> Did anything further happen to this topic in the Windows land?
> 
> I successfully built with MSVC with these patches (but I am not using the
> result anywhere nor did I attempt to run the test suite).
> 
> More importantly, I'm using git on Windows ("MinGW flavor") with these
> patches in production, so there are no obvious regressions.
> 
> Feel free to add my
> 
> Tested-by: Johannes Sixt <[email-masked]>

Johannes, thank you for taking the time to test these patches.

ATB,
Ramsay Jones